<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<script type="text/javascript">
  function selectAll() {
      var items = document.getElementsByName('name');
      for (var i = 0; i < items.length; i++) {
          if (items[i].type == 'checkbox')
              items[i].checked = true;
      }
  }

  function UnSelectAll() {
      var items = document.getElementsByName('name');
      for (var i = 0; i < items.length; i++) {
          if (items[i].type == 'checkbox')
              items[i].checked = false;
      }
  }			
</script>

<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Degree</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Degree</h4>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <div class="form-layout form-layout-1 mb-5">
        <!-- <form id="" action="/degree_register" method="POST"> -->
          <form id="mainForm" action="javascript:;">
          <div class="row mg-b-25">
            <div class="col-lg-6">
              <div class="form-group">
             <label class="form-control-label">Choose College: <span class="tx-danger">*</span></label>
               <select style="width: 400px;height: 40px;" name="college_id" required>
                <option value="">--Please Select--</option>
                <% college.forEach(function(college,index){ %>
                 <option value="<%= college.id %>"><%= college.name %></option>
                <% }); %>

               </select>
              </div>
            </div>
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Degree Choose: <span class="tx-danger">*</span></label
                >
                <% other.forEach(function(other,index){ %>
                <input type="checkbox" name="name" value="<%= other.name %>"  ><%= other.name %>&nbsp;
                <% }); %>
               
                <br><br>
                <p>
                  <input type="button" onclick='selectAll()' value="Select All" class="btn btn-info"/>
                  <input type="button" onclick='UnSelectAll()' value="Unselect All" class="btn btn-info"/>
                </p>

              
              </div>
            </div>

           

            <!-- col-4 -->
          </div>
          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
          <table class="table mg-b-0">
            <thead>
              <tr>
                <th>ID</th>
                <th>College  Name</th>
                <th>Degree  Name</th>
            
                <th>Edit</th>
                <th>Status</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <% var i = 0; %>
              <% modules.forEach(function(modules,index){ %>
              <tr>
                <th scope="row"><%= modules.degree.id %></th>
                <td><%= modules.name %></td>
                <td><%= modules.degree.name %></td>
               
                <td><a href="/degree_edit/<%=modules.degree.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Edit"
                >
                  <i class="fa fa-pencil-square-o"></i>
                </button>
                </a></td>
                
                <td>
                  <% if (modules.degree.active == 1) { %>
                      Active
                   <% } else { %>
                   <b style='color:red;'> In-Active</b> 
                    <% } %>
                </td>

                <td>
                  <div class="btn-group" role="group" aria-label="Basic example">
                    <a
                      href="/degree_list/<%= modules.id %>"
                      type="button"
                      class="btn btn-secondary"
                      title="Courses under this College"
                    >
                      <i class="fa fa-list text-white"></i>
                    </a>
                   
                    <% if (modules.degree.active == 1) { %>
                      <a href="/degree_inactive/<%=modules.degree.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make inactive"
                  >
                    <i class="fa fa-eye-slash"></i>
                  </button>
                </a>
                  <% } else { %>
                    <a href="/degree_active/<%=modules.degree.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Make active"
                >
                  <i class="fa fa-eye"></i>
                </button>
                </a>
                <% } %>


                  </div>
                </td>
              </tr>
              <% }); %>
            </tbody>
          </table>
        </div>



        <%-include('./shared/scripts.ejs')%>
        <script>
          $("#mainForm").validate({
            normalizer: function (value) {
              return $.trim(value);
            },
            rules: {
              name: {
                required: true,
              },
              college_id: {
                required: true,
              },
            },
            messages: {
              name: {
                required: "Degree name is required",
              },
              college_id: {
                required: "College name is required",
              },
            },
            submitHandler: function (form) {
              $("button").prop("disabled", "disabled");
              var form = document.getElementById("mainForm");
              // var data = new FormData(form);
              $.ajax({
                type: "POST",
                url: "/degree_register",
                data: $(form).serialize(),
                dataType: "json",
                headers: {
                  "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                },
                success: function (data) {
                  if (data.status == 1) {
                    //toastr
                    //end toastr
                    setTimeout(function () {
                      window.location.reload();
                    }, 3000);
                  } else {
                    //toastr
                    //end toastr
                    setTimeout(function () {
                      window.location.reload();
                    }, 3000);
                  }
                  $("button").prop("disabled", false);
                },
                error: function (err) {
                  $("button").prop("disabled", false);
                },
              });
              return false;
            },
          });
        </script>



<%-include('./shared/footer.ejs')%>



